var plotTimeout;
var numTimeouts = 0; // google chrome friss speicher, wenn das zu viel läuft
var plot = function () {
	$.ajax({
		url: "result.cgi",
		data: {question: $("#questionform").serializeArray()[0].value},
		dataType: "json",
		success: function (resp) {
			$("#chart").empty();
			$.jqplot('chart', [resp], {
				title: 'Emacs vs. Vim',
				series:[{renderer:$.jqplot.BarRenderer}],
				axes: {
					xaxis: {
						renderer: $.jqplot.CategoryAxisRenderer 
					},
					yaxis: {
						tickRenderer: $.jqplot.CanvasAxisTickRenderer ,
						tickInterval: 1,
						tickOptions: {
							formatString: "%d",
							//angle: -30,
							//fontSize: '10pt'
						}
					}
				}
			});
			if (numTimeouts < 30) {
				plotTimeout = window.setTimeout(plot, 2000);
				numTimeouts += 1;
			}
		},
	});
};
var updateQuestions = function () {
	window.clearTimeout(plotTimeout);
	numTimeouts = 0;
	$.ajax({
		url: "questions.cgi",
		dataType: "json",
		success: function (resp) {
			var html = "<form id='questionform'>";
			$(resp).each(function(i, x) {
				if (x.open) {
					html += "<input id='asknum" + i + "' type='radio' name='question' value='" + x.questionid + "'";
					html +=	" />";
					html += "<label for='asknum" + i + "'>" + x.description + "</label>";
					html += "<br />";
				}
			});
			html += "<input id='all' type='radio' name='question' value='Ee7leesh'";
			html +=	" />";
			html += "<label for='all'>Gesamt</label>";
			html += "<br />";
			html += "</form>";
			$("#question").html(html);
			$("#questionform").change(plot);
		}
	});
};

$(document).ready(function(){
	updateQuestions();
});
