#!/usr/bin/env ruby

require "cgi"
$cgi = CGI.new
$header = {}
$header["type"] = "text/html"
#$header["type"] = "application/xhtml+xml"
$header["charset"] = "utf-8"
$html = <<HTML
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
  "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
	<meta http-equiv="Content-Type" content="#{$header["text/html"]}; charset=#{$header["charset"]}" />
	<title>DSW - Plot</title>
	<link rel="shortcut icon" href="/favicon.ico" type="image/vnd.microsoft.icon">
	<link rel='stylesheet' type='text/css' href='../style.css'/>
	<link rel='stylesheet' type='text/css' href='../lib/jqplot/jquery.jqplot.css'/>
	<script type="text/javascript" src="../lib/jquery-1.6.4.min.js"></script>
	<script type="text/javascript" src="../lib/jqplot/jquery.jqplot.min.js"></script>
	<script type="text/javascript" src="../lib/jqplot/plugins/jqplot.json2.min.js"></script>
	<script type="text/javascript" src="../lib/jqplot/plugins/jqplot.barRenderer.min.js"></script>
	<script type="text/javascript" src="../lib/jqplot/plugins/jqplot.canvasTextRenderer.min.js"></script>
	<script type="text/javascript" src="../lib/jqplot/plugins/jqplot.canvasAxisTickRenderer.min.js"></script>
	<script type="text/javascript" src="../lib/jqplot/plugins/jqplot.categoryAxisRenderer.min.js"></script>
	<script type="text/javascript" src="../lib/jqplot/plugins/jqplot.pointLabels.min.js"></script>
	<script type="text/javascript" src="barplot.js"></script>
</head>
<body>
<div id='ct0'></div>
<div id='ct1'>
<div id='content'>
<div id='bodyText'>
<div>
<div id='chart' style='height: 300px; margin: 10px;'></div>
<div id='question'></div>
<div id='info'></div>
</div>
</div>
</div>
</div>
<div id='ct2'></div>
HTML


$html << "</body>"
$cgi.out($header){$html}
