#!/usr/bin/env ruby

require "yaml"
$c = YAML::load_file("config.yaml")

require "digest"

def add_to_htdigest(user,password)
	File.open($c["digest_file"],"a"){|f|
		realm= $c["realm"]
		f << "#{user}:#{realm}:#{Digest::MD5.hexdigest("#{user}:#{realm}:#{password}")}\n"
	}
end

require "pp"
require "yaml"

names = File.open("jungen.txt","r").to_a + File.open("maedchen.txt","r").to_a
names.collect!{|n| n.chomp}

require "securerandom"
$c["number_of_users"].times{|i|
	user = names[rand(names.size)]
	pass = SecureRandom.base64(6)
	add_to_htdigest(user,pass)
	puts <<FILE
######################################################
   URL: #{$c["url"]}
  User: #{user}
  Pass: #{pass}
######################################################



FILE
}

